STRUCT IS_NOT_GREA(3)

NAME
boost::algorithm::is_not_greater - is_not_greater functor

SYNOPSIS

// In header: <boost/algorithm/string/compare.hpp>
struct is_not_greater {
  // public member functions
  template<typename T1, typename T2>
    bool operator()(const T1 &, const T2 &) const;
};

DESCRIPTION

Convenient version of standard std::not_greater_to. Operation is templated, therefore it is not required to specify the exact types upon the construction

  is_not_greater public member functions

    1.

    template<typename T1, typename T2>
      bool operator()(const T1 & Arg1, const T2 & Arg2) const;

    Functor operation. Compare two operands using > operator